import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { BillSettlementReportResolver } from './bill-settlement-report-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { BillSettlementReportComponent } from './bill-settlement-report.component';

const BillSettlementReportRoutes: Routes = [
  {
    path: '',
    component: BillSettlementReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Bill Details' // rename to Bill Settlement Report
    },
    resolve: {
      info: BillSettlementReportResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(BillSettlementReportRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    BillSettlementReportResolver
  ]
})
export class BillSettlementReportRoutingModule {
}
