import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { DiscountReportResolver } from './discount-report-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { DiscountReportComponent } from './discount-report.component';

const DiscountReportRoutes: Routes = [
  {
    path: '',
    component: DiscountReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Discount Report'
    },
    resolve: {
      info: DiscountReportResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(DiscountReportRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    DiscountReportResolver
  ]
})
export class DiscountReportRoutingModule {
}
