import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { ProductSaleReportResolver } from './product-sale-report-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { ProductSaleReportComponent } from './product-sale-report.component';

const ProductSaleReportRoutes: Routes = [
  {
    path: '',
    component: ProductSaleReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Sales Detail' // rename to Product Sale Report
    },
    resolve: {
      info: ProductSaleReportResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(ProductSaleReportRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    ProductSaleReportResolver
  ]
})
export class ProductSaleReportRoutingModule {
}
