import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {TaxAnalysis} from './tax-analysis';
import {TaxAnalysisService} from './tax-analysis.service';

@Injectable({
  providedIn: 'root'
})
export class TaxAnalysisResolver implements Resolve<TaxAnalysis> {

  constructor(private ser: TaxAnalysisService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<TaxAnalysis> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
