import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { TaxAnalysisResolver } from './tax-analysis-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { TaxAnalysisComponent } from './tax-analysis.component';

const TaxAnalysisRoutes: Routes = [
  {
    path: '',
    component: TaxAnalysisComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Tax Analysis'
    },
    resolve: {
      info: TaxAnalysisResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(TaxAnalysisRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    TaxAnalysisResolver
  ]
})
export class TaxAnalysisRoutingModule {
}
