import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { VoidsReprintsReportResolver } from './voids-reprints-report-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { VoidsReprintsReportComponent } from './voids-reprints-report.component';

const VoidsReprintsReportRoutes: Routes = [
  {
    path: '',
    component: VoidsReprintsReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Void or Reprinted Bill Report' // rename to Void and Reprinted Bill Report
    },
    resolve: {
      info: VoidsReprintsReportResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(VoidsReprintsReportRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    VoidsReprintsReportResolver
  ]
})
export class VoidsReprintsReportRoutingModule {
}
